import Dialog from "./dialog";

export default class FileSelection {
	static async getFile(
		options: Partial<{
			multiple?: true;
			directory?: true;
			save?: true;
			separator: string;
			"confirm-overwrite"?: true;
			"file-filter": string;
			title: string;
		}>
	): Promise<string[]> {
		const dialog = new Dialog("file-selection", options);
		await dialog.show();
		await dialog.getAnswer();
		return dialog.output.split("\n");
	}
}
